<template>
  <v-container>
    <v-breadcrumbs class="px-0" :items="items"></v-breadcrumbs>

    <v-row no-gutters class="d-flex align-center">
      <h1>Perfil</h1>
    </v-row>
    <v-divider></v-divider>
    <div id="profile" align="center">
      <!-- <v-card align="center" width="25%"> -->
      <div>
        <div class="pt-4">
          <p>Foto</p>
          <v-avatar height="150" width="150">
            <img src="https://cdn.vuetifyjs.com/images/john.jpg" alt="John" />
          </v-avatar>
        </div>
        <div align="center">
          <v-form v-model="valid">
            <v-container>
              <v-row>
                <v-col cols="12" md="6">
                  <v-text-field v-model="user.name" label="Nome completo" required></v-text-field>
                </v-col>

                <v-col cols="12" md="6">
                  <v-text-field v-model="user.email" label="E-mail" required></v-text-field>
                </v-col>

                <v-col cols="12" md="4">
                  <v-text-field v-model="user.date_birth" label="Data de nascimento" required></v-text-field>
                </v-col>

                <v-col cols="12" md="4">
                  <v-text-field
                    v-model="user.password"
                    label="Senha"
                    type="password"
                    id="password"
                    required
                  ></v-text-field>
                </v-col>

                <v-col cols="12" md="4">
                  <v-text-field
                    v-model="user.confirm_password"
                    label="Nova senha"
                    type="password"
                    id="password_confirmation"
                    required
                  ></v-text-field>
                </v-col>
              </v-row>
              <v-btn depressed color="success" @click="equalPassword">ATUALIZAR</v-btn>
            </v-container>
          </v-form>
        </div>
      </div>
      <!-- </v-card> -->
    </div>
  </v-container>
</template>


<script>
import axios from "axios";
export default {
  data() {
    return {
      valid: false,
      user: {},
      items: [
        {
          text: "Dashboard",
          disabled: false,
          to: "/"
        },
        {
          text: "Perfil",
          disabled: true
        }
      ]
    };
  },
  mounted() {
    return axios
      .get("https://young-forest-65938.herokuapp.com/api/v1/users")
      .then(response => {
        var resp = response.data;
        this.user = resp.data[0];
        console.log(this.user);
      });
  },
  methods: {
    salvar() {},
    equalPassword() {
      var password = document.getElementById("password");
      var password_confirmation = document.getElementById(
        "password_confirmation"
      );
      var s1 = password.value;
      var s2 = password_confirmation.value;
      if (s1 == s2) {
        axios
          .post("https://young-forest-65938.herokuapp.com/api/v1/users", {
            name: this.user.name,
            email: this.user.email,
            password: this.user.password,
            confirm_password: this.user.confirm_password,
            date_birth: this.user.date_birth
          })
          .then(function(response) {
            console.log(this.user);
          })
          .catch(function(error) {
            console.log(error);
          });
        alert("Dados atualizados!");
        this.$router.push("/profile");
      } else {
        alert("Senhas não batem. Verifique o valor digitado.");
        return false;
      }
    }
  }
};
</script>